com.unitech.lib.pax

## Enum PA768eEnums.TagSelectAction

- java.lang.Object
- - java.lang.Enum<PA768eEnums.TagSelectAction>
  - - com.unitech.lib.pax.PA768eEnums.TagSelectAction

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<PA768eEnums.TagSelectAction>
  Enclosing class:
    PA768eEnums

      public static enum PA768eEnums.TagSelectAction
      extends java.lang.Enum<PA768eEnums.TagSelectAction>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `AB`
    `AN`
    `BA`
    `BN`
    `MN`
    `NA`
    `NB`
    `NM`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static PA768eEnums.TagSelectAction` | `parse(Mask6cAction action)`
    `int` | `value()`
    `static PA768eEnums.TagSelectAction` | `valueOf(int code)`
    `static PA768eEnums.TagSelectAction` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static PA768eEnums.TagSelectAction[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### AB

          public static final PA768eEnums.TagSelectAction AB

    - #### AN

          public static final PA768eEnums.TagSelectAction AN

    - #### NB

          public static final PA768eEnums.TagSelectAction NB

    - #### MN

          public static final PA768eEnums.TagSelectAction MN

    - #### BA

          public static final PA768eEnums.TagSelectAction BA

    - #### BN

          public static final PA768eEnums.TagSelectAction BN

    - #### NA

          public static final PA768eEnums.TagSelectAction NA

    - #### NM

          public static final PA768eEnums.TagSelectAction NM

  - ### Method Detail

    - #### values

          public static PA768eEnums.TagSelectAction[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (PA768eEnums.TagSelectAction c : PA768eEnums.TagSelectAction.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static PA768eEnums.TagSelectAction valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### value

          public int value()

    - #### valueOf

          public static PA768eEnums.TagSelectAction valueOf(int code)

    - #### parse

          public static PA768eEnums.TagSelectAction parse(Mask6cAction action)